#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0xaa14bade, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x7adbedc2, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0xf214a29d, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0xe02ef1d6, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x03054698, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0xb18d9895, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x39ce4b5c, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0x5f0c46be, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xf97f19ce, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0xc2e8f08d, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x85b8ca13, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x311a15aa, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0xce7e0699, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xa85284ec, "crypto_register_template" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa6ec6c15, "crypto_enqueue_request" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xf9c899dc, "crypto_grab_aead" },
	{ 0xaddeb1d9, "crypto_grab_shash" },
	{ 0xc6066451, "shash_no_setkey" },
	{ 0xb70f065f, "ahash_register_instance" },
	{ 0x98be6247, "crypto_grab_skcipher" },
	{ 0x928edab3, "skcipher_register_instance" },
	{ 0xedb83dfd, "aead_register_instance" },
	{ 0x5f800543, "crypto_skcipher_decrypt" },
	{ 0xd8b9b710, "crypto_skcipher_encrypt" },
	{ 0xbc58f4ab, "shash_ahash_digest" },
	{ 0xc2d33bfc, "shash_ahash_finup" },
	{ 0x9076b28e, "crypto_shash_final" },
	{ 0xd33dcc28, "shash_ahash_update" },
	{ 0x7b98fba3, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc4458938, "crypto_alloc_skcipher" },
	{ 0x48bbe934, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfe67f429, "crypto_alloc_ahash" },
	{ 0x587204fc, "crypto_alloc_aead" },
	{ 0x8a7dccb5, "crypto_skcipher_setkey" },
	{ 0x92e623f2, "crypto_spawn_tfm2" },
	{ 0x6eb1111f, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x8fbd8b37, "crypto_shash_setkey" },
	{ 0x2f5f3747, "crypto_shash_import" },
	{ 0x79e5f069, "crypto_shash_export" },
	{ 0x9e4a2aa6, "crypto_clone_shash" },
	{ 0xc504163f, "crypto_aead_setauthsize" },
	{ 0xf102f7c6, "crypto_aead_setkey" },
	{ 0x4263bab3, "pcpu_hot" },
	{ 0x560b5aa6, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2608ed05, "crypto_unregister_template" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE601D458BFDA37FC7B6285");

MODULE_INFO(suserelease, "SLFO-1.2");
