#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmtk_fw_get_filename, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware_79xx, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware, "_gpl", "");
KSYMTAB_FUNC(btmtk_set_bdaddr, "_gpl", "");
KSYMTAB_FUNC(btmtk_reset_sync, "_gpl", "");
KSYMTAB_FUNC(btmtk_register_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_process_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_subsys_reset, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_recv_acl, "_gpl", "");
KSYMTAB_FUNC(alloc_mtk_intr_urb, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_resume, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_suspend, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_setup, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_shutdown, "_gpl", "");

SYMBOL_CRC(btmtk_fw_get_filename, 0xbc8bf0c0, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware_79xx, 0x441dfb59, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware, 0x2410fe2c, "_gpl");
SYMBOL_CRC(btmtk_set_bdaddr, 0xaa2ec8ff, "_gpl");
SYMBOL_CRC(btmtk_reset_sync, 0xaa5e5330, "_gpl");
SYMBOL_CRC(btmtk_register_coredump, 0xfa9b87d3, "_gpl");
SYMBOL_CRC(btmtk_process_coredump, 0x4d3f9bcc, "_gpl");
SYMBOL_CRC(btmtk_usb_subsys_reset, 0x02d1bd9b, "_gpl");
SYMBOL_CRC(btmtk_usb_recv_acl, 0x81985e0c, "_gpl");
SYMBOL_CRC(alloc_mtk_intr_urb, 0x299b32d9, "_gpl");
SYMBOL_CRC(btmtk_usb_resume, 0x9adfbdd7, "_gpl");
SYMBOL_CRC(btmtk_usb_suspend, 0x87548eea, "_gpl");
SYMBOL_CRC(btmtk_usb_setup, 0xa6fba5da, "_gpl");
SYMBOL_CRC(btmtk_usb_shutdown, 0x52a841a2, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3279971, "request_firmware" },
	{ 0x718b8b7, "bt_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a3a9a75, "__hci_cmd_sync" },
	{ 0xcdf4e662, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2b2a6da3, "hci_cmd_sync_queue" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb93f2d3e, "hci_devcd_register" },
	{ 0x29047ce3, "__hci_cmd_send" },
	{ 0xe375b62c, "usb_alloc_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf5a59118, "usb_anchor_urb" },
	{ 0x26322e71, "usb_submit_urb" },
	{ 0x76109794, "usb_free_urb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8395b086, "usb_unanchor_urb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe3d0f026, "usb_autopm_get_interface" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0x7ef9cedf, "usb_autopm_put_interface" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x37a0cba, "kfree" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x87415899, "hci_devcd_append" },
	{ 0x759c113b, "hci_devcd_complete" },
	{ 0xe55161b3, "hci_devcd_init" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbd929058, "usb_disable_autosuspend" },
	{ 0x9324b143, "skb_clone" },
	{ 0x182e2bad, "hci_recv_diag" },
	{ 0xfc172203, "hci_recv_frame" },
	{ 0x2eaebe71, "__skb_pad" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x912af545, "__alloc_skb" },
	{ 0x76d79488, "skb_put" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xbb0a6fc5, "usb_control_msg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa3040d2b, "usb_set_interface" },
	{ 0x64d1f4a3, "hci_cmd_sync_cancel" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,usbcore");


MODULE_INFO(srcversion, "A2E48580738E69E4D175029");

MODULE_INFO(suserelease, "SLFO-1.2");
