#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ccp_present, "_gpl", "");
KSYMTAB_FUNC(ccp_version, "_gpl", "");
KSYMTAB_FUNC(ccp_enqueue_cmd, "_gpl", "");
KSYMTAB_FUNC(snp_alloc_firmware_page, "_gpl", "");
KSYMTAB_FUNC(snp_free_firmware_page, "_gpl", "");
KSYMTAB_FUNC(sev_do_cmd, "_gpl", "");
KSYMTAB_FUNC(sev_platform_init, "_gpl", "");
KSYMTAB_FUNC(psp_copy_user_blob, "_gpl", "");
KSYMTAB_FUNC(sev_platform_status, "_gpl", "");
KSYMTAB_FUNC(sev_guest_deactivate, "_gpl", "");
KSYMTAB_FUNC(sev_guest_activate, "_gpl", "");
KSYMTAB_FUNC(sev_guest_decommission, "_gpl", "");
KSYMTAB_FUNC(sev_guest_df_flush, "_gpl", "");
KSYMTAB_FUNC(sev_issue_cmd_external_user, "_gpl", "");
KSYMTAB_FUNC(psp_tee_process_cmd, "", "");
KSYMTAB_FUNC(psp_check_tee_status, "", "");
KSYMTAB_FUNC(psp_check_platform_access_status, "", "");
KSYMTAB_FUNC(psp_send_platform_access_msg, "_gpl", "");
KSYMTAB_FUNC(psp_ring_platform_doorbell, "_gpl", "");

SYMBOL_CRC(ccp_present, 0x04773b60, "_gpl");
SYMBOL_CRC(ccp_version, 0x3a1a3979, "_gpl");
SYMBOL_CRC(ccp_enqueue_cmd, 0x8a4acb42, "_gpl");
SYMBOL_CRC(snp_alloc_firmware_page, 0x832640c7, "_gpl");
SYMBOL_CRC(snp_free_firmware_page, 0x6da19b50, "_gpl");
SYMBOL_CRC(sev_do_cmd, 0x3e3b5766, "_gpl");
SYMBOL_CRC(sev_platform_init, 0x72f6bfcf, "_gpl");
SYMBOL_CRC(psp_copy_user_blob, 0x2e6a6147, "_gpl");
SYMBOL_CRC(sev_platform_status, 0x91722dce, "_gpl");
SYMBOL_CRC(sev_guest_deactivate, 0x4073e924, "_gpl");
SYMBOL_CRC(sev_guest_activate, 0x3e059f28, "_gpl");
SYMBOL_CRC(sev_guest_decommission, 0x843d6541, "_gpl");
SYMBOL_CRC(sev_guest_df_flush, 0x8fac14a2, "_gpl");
SYMBOL_CRC(sev_issue_cmd_external_user, 0x1a98a1d7, "_gpl");
SYMBOL_CRC(psp_tee_process_cmd, 0xaa04056c, "");
SYMBOL_CRC(psp_check_tee_status, 0x47d3c97f, "");
SYMBOL_CRC(psp_check_platform_access_status, 0x4a937398, "");
SYMBOL_CRC(psp_send_platform_access_msg, 0x8123d41a, "_gpl");
SYMBOL_CRC(psp_ring_platform_doorbell, 0x6ea40704, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8dee7239, "pci_enable_msi" },
	{ 0xcf9cdec8, "devm_kfree" },
	{ 0xf12e71e4, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xea8985b0, "rmp_make_shared" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x345e7f72, "kmem_cache_free" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x270f9c57, "kthread_stop" },
	{ 0xe8757533, "devm_get_free_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11e57d31, "__tracepoint_write_msr" },
	{ 0xfb578fc5, "memset" },
	{ 0xf6fddc76, "_dev_warn" },
	{ 0xe687f1df, "misc_register" },
	{ 0xc1b1d7, "pci_set_master" },
	{ 0xa8725c6a, "param_ops_charp" },
	{ 0x7f682943, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6e1a749d, "dmaengine_unmap_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4bd88a2b, "kmem_cache_alloc_noprof" },
	{ 0x3bf26cff, "acpi_match_device" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xba1ce65, "dma_async_device_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0x4fe52f69, "__kmem_cache_create_args" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x8733bd2d, "__platform_driver_register" },
	{ 0x95026cfc, "kthread_create_on_node" },
	{ 0x323c69aa, "dma_set_coherent_mask" },
	{ 0xb2c9659f, "devm_kasprintf" },
	{ 0x6cef7e9e, "override_creds" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3733b81d, "_dev_notice" },
	{ 0x7f0bc2f0, "path_get" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0xef8b7427, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfea1d83, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5864e269, "rmp_make_private" },
	{ 0x84fa5c9e, "dma_async_tx_descriptor_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe4b87196, "filp_close" },
	{ 0x25db1577, "do_trace_write_msr" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xefc684b2, "pci_disable_msix" },
	{ 0xe026972d, "alloc_pages_noprof" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x64b8803f, "dma_set_mask" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0xb3e43fa1, "dma_unmap_sg_attrs" },
	{ 0xa16d2ec0, "pcim_iomap_table" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xe511ec58, "param_ops_int" },
	{ 0xe8eb4847, "pcim_enable_device" },
	{ 0x2158c3cc, "amd_iommu_snp_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x3d69279, "kernel_write" },
	{ 0xfc4d84b2, "kmem_cache_destroy" },
	{ 0x1db6aa00, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe7a39da8, "devm_platform_ioremap_resource" },
	{ 0x4c4ea823, "revert_creds" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb5a10e33, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x84a77054, "dma_pool_create" },
	{ 0x7b98fba3, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2895197, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd0fd7085, "hwrng_unregister" },
	{ 0x7ce9ff8c, "firmware_request_nowarn" },
	{ 0x9e6b9be4, "platform_driver_unregister" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0xb2d5ef54, "dma_async_device_unregister" },
	{ 0x68aa66c2, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xccacb1d4, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x90f617fa, "dma_unmap_page_attrs" },
	{ 0xb0455e84, "snp_leak_pages" },
	{ 0x48fe17fd, "__pci_register_driver" },
	{ 0x47babb6b, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x90881310, "dma_release_channel" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfbb27721, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc0a1ed90, "path_put" },
	{ 0x45e8c698, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdac4f7b2, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xe0c4e14d, "hwrng_register" },
	{ 0x2ee0dede, "dev_driver_string" },
	{ 0x4a438e42, "devm_free_pages" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5ae7d30d, "dma_map_page_attrs" },
	{ 0x7ceeac9, "panic_notifier_list" },
	{ 0x92997ed8, "_printk" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0xecc80ad6, "platform_irq_count" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x53ebb513, "pci_enable_msix_range" },
	{ 0x7f23b79e, "file_open_root" },
	{ 0xcf7b04b4, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeeb8713d, "__free_pages" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x4990b6fe, "_dev_info" },
	{ 0xaad97d62, "init_task" },
	{ 0x23578883, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x274b243f, "dma_run_dependencies" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3663226f, "device_get_dma_attr" },
	{ 0x761bbb61, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x227b228, "prepare_creds" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1a");
MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1aC*");
MODULE_ALIAS("acpi*:AMDI0C00:*");
MODULE_ALIAS("pci:v00001022d00001537sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001468sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000014CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001649sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001134sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000017E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000156Esv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CFD3E7470C53FE3D45F9549");

MODULE_INFO(suserelease, "SLFO-1.2");
