#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_driver_fbdev_probe, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0x757efc0d, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0x90e779bd, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0xb27cc8ea, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0x9106056f, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0x2eb3624c, "");
SYMBOL_CRC(drm_fbdev_ttm_driver_fbdev_probe, 0x20ba0086, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0xd44213db, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81aed010, "drm_fb_helper_fini" },
	{ 0x457fa462, "drm_client_framebuffer_delete" },
	{ 0x5bef79d7, "drm_client_framebuffer_create" },
	{ 0xb38ef592, "drm_fb_helper_deferred_io" },
	{ 0xd3c4fe4d, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa455114b, "drm_driver_legacy_fb_format" },
	{ 0x66951f5d, "drm_fb_helper_fill_info" },
	{ 0xc9dbf0a, "fb_deferred_io_init" },
	{ 0x4f2fef5c, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2ee0dede, "dev_driver_string" },
	{ 0xa33408eb, "drm_fb_helper_hotplug_event" },
	{ 0x20e13730, "drm_gem_object_lookup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d7055c3, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe8e1aa53, "sys_imageblit" },
	{ 0x8e8e2451, "drm_fb_helper_damage_range" },
	{ 0xad10ec0f, "drm_fb_helper_blank" },
	{ 0x78bfb8af, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8c1f59a3, "drm_fb_helper_damage_area" },
	{ 0x63a5250f, "sys_fillrect" },
	{ 0x2ba99076, "module_put" },
	{ 0x55445a0d, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x75c379e, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0x4405f3e1, "drm_fb_helper_prepare" },
	{ 0xf12e71e4, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffbfe56a, "__drm_dev_dbg" },
	{ 0xef33863d, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaf48e9db, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x9aba91b6, "drm_client_release" },
	{ 0x650e6af0, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x463bce99, "fb_sys_read" },
	{ 0xd94e6b1b, "drm_fb_helper_debug_leave" },
	{ 0xed6bb97f, "ttm_bo_mmap_obj" },
	{ 0x2c72d82c, "drm_client_buffer_vunmap_local" },
	{ 0xeeaaebc5, "ttm_bo_vmap" },
	{ 0x1cac638f, "drm_client_buffer_vmap_local" },
	{ 0x3d7d9390, "drm_fb_helper_initial_config" },
	{ 0xbc38d41d, "drm_fb_helper_unregister_info" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0xa7bff064, "drm_fb_helper_ioctl" },
	{ 0xd12c2150, "drm_fb_helper_set_par" },
	{ 0xe8502c61, "drm_client_register" },
	{ 0xb0ff96db, "try_module_get" },
	{ 0xdc56254a, "drm_fb_helper_init" },
	{ 0xd3e72ad6, "drm_fb_helper_debug_enter" },
	{ 0x64760d7b, "drm_fb_helper_lastclose" },
	{ 0x337180fd, "drm_fb_helper_setcmap" },
	{ 0x4ab4f940, "drm_fb_helper_alloc_info" },
	{ 0x8c4d798e, "drm_helper_disable_unused_functions" },
	{ 0x70bc3b07, "drm_fb_helper_unprepare" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "ttm");


MODULE_INFO(srcversion, "27A46B00689AB667B550249");

MODULE_INFO(suserelease, "SLFO-1.2");
