#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dw_i3c_common_probe, "_gpl", "");
KSYMTAB_FUNC(dw_i3c_common_remove, "_gpl", "");

SYMBOL_CRC(dw_i3c_common_probe, 0x7386f216, "_gpl");
SYMBOL_CRC(dw_i3c_common_remove, 0x7beadaa8, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30795ea2, "devm_request_threaded_irq" },
	{ 0xb5b4c1d1, "pm_runtime_set_autosuspend_delay" },
	{ 0x78e54ae2, "pm_runtime_enable" },
	{ 0xb2fd383a, "i3c_master_register" },
	{ 0xb2895197, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa6257a2f, "complete" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xac920943, "i3c_generic_ibi_get_free_slot" },
	{ 0x327dc226, "i3c_master_queue_ibi" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xfbb27721, "__dynamic_dev_dbg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4990b6fe, "_dev_info" },
	{ 0x43bd1e88, "pinctrl_pm_select_default_state" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x6243bda9, "__pm_runtime_resume" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf12e71e4, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0x1f5f2712, "i3c_master_enec_locked" },
	{ 0xf7aef723, "i3c_master_get_free_addr" },
	{ 0xc167baf, "i3c_master_add_i3c_dev_locked" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x568f5664, "i3c_master_set_info" },
	{ 0xfe992c25, "pm_runtime_force_suspend" },
	{ 0xef81f662, "pm_runtime_force_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x2ae0c52c, "__pm_runtime_suspend" },
	{ 0x828237a4, "i3c_generic_ibi_recycle_slot" },
	{ 0x1e34e579, "i3c_master_disec_locked" },
	{ 0x76fe3e05, "i3c_generic_ibi_free_pool" },
	{ 0x48064cd9, "i3c_generic_ibi_alloc_pool" },
	{ 0x37a0cba, "kfree" },
	{ 0xf177b5b8, "i3c_master_do_daa" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x575869df, "i3c_master_unregister" },
	{ 0xabc72643, "__pm_runtime_disable" },
	{ 0x53ee3305, "__pm_runtime_set_status" },
	{ 0xd6053713, "__pm_runtime_use_autosuspend" },
	{ 0x8733bd2d, "__platform_driver_register" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x281c01e7, "pinctrl_pm_select_sleep_state" },
	{ 0x9e6b9be4, "platform_driver_unregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe7a39da8, "devm_platform_ioremap_resource" },
	{ 0xb7bf498, "devm_clk_get_enabled" },
	{ 0x2b53f6a8, "devm_clk_get_optional_enabled" },
	{ 0xa1ae1221, "__devm_reset_control_get" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x68aa66c2, "platform_get_irq" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "i3c");

MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00a");
MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00aC*");

MODULE_INFO(srcversion, "A0ACCF07EEEB04E09FD1500");

MODULE_INFO(suserelease, "SLFO-1.2");
