#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x04f92db2, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xea09395c, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xbc833230, "");
SYMBOL_CRC(rdma_res_to_id, 0xaef0dad7, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x2063115e, "");
SYMBOL_CRC(rdma_create_user_id, 0x54156670, "");
SYMBOL_CRC(rdma_create_qp, 0xc428478f, "");
SYMBOL_CRC(rdma_destroy_qp, 0xec075f5a, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xbf45bd96, "");
SYMBOL_CRC(rdma_destroy_id, 0x33c833d6, "");
SYMBOL_CRC(rdma_get_service_id, 0x9117096a, "");
SYMBOL_CRC(rdma_read_gids, 0x1759cdf5, "");
SYMBOL_CRC(rdma_set_service_type, 0x93813d66, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x133ca5d4, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x59538738, "");
SYMBOL_CRC(rdma_set_ib_path, 0x4be0c824, "");
SYMBOL_CRC(rdma_resolve_route, 0x820d519c, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x58e593fd, "");
SYMBOL_CRC(rdma_set_afonly, 0xf417b3d4, "");
SYMBOL_CRC(rdma_listen, 0x6ae46b6c, "");
SYMBOL_CRC(rdma_resolve_addr, 0xdef1e3fd, "");
SYMBOL_CRC(rdma_bind_addr, 0xdb2b90e8, "");
SYMBOL_CRC(rdma_connect_locked, 0xca9f0cac, "");
SYMBOL_CRC(rdma_connect, 0x75b063ac, "");
SYMBOL_CRC(rdma_connect_ece, 0x705cae4a, "");
SYMBOL_CRC(rdma_accept, 0xc4742ad6, "");
SYMBOL_CRC(rdma_accept_ece, 0x6cb91e83, "");
SYMBOL_CRC(rdma_lock_handler, 0xdd8bd87c, "");
SYMBOL_CRC(rdma_unlock_handler, 0xd5273caf, "");
SYMBOL_CRC(rdma_notify, 0x63134891, "");
SYMBOL_CRC(rdma_reject, 0xd528d8ca, "");
SYMBOL_CRC(rdma_disconnect, 0x5936d967, "");
SYMBOL_CRC(rdma_join_multicast, 0x460abb84, "");
SYMBOL_CRC(rdma_leave_multicast, 0x0b5c9e07, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x318ed744, "iw_cm_connect" },
	{ 0x274c6303, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbbab40a3, "rdma_addr_cancel" },
	{ 0x8a8d5c71, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x65fe732e, "ib_sa_get_mcmember_rec" },
	{ 0xcf7b04b4, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x8389d5b4, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xefd1a980, "ib_sa_path_rec_get" },
	{ 0x8f25891c, "ib_create_cm_id" },
	{ 0x2c06e84b, "__ip_mc_dec_group" },
	{ 0x741c6dac, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8fb5f0f6, "perf_trace_run_bpf_submit" },
	{ 0x5b36cbde, "ib_init_ah_from_mcmember" },
	{ 0xead8aa0, "rdma_destroy_ah_attr" },
	{ 0xaea59e86, "ib_set_client_data" },
	{ 0xa9610c8c, "init_net" },
	{ 0xbd3ebe13, "ib_get_cached_pkey" },
	{ 0xa6c7310d, "configfs_register_subsystem" },
	{ 0xf86fb0a9, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xc98093c5, "rdma_put_gid_attr" },
	{ 0x42e4a886, "config_group_init_type_name" },
	{ 0x1e128d1b, "dev_get_by_index" },
	{ 0x5e58cb11, "iw_destroy_cm_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb259eb95, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd079e97d, "ib_send_cm_rep" },
	{ 0xb1577593, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9db013e0, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xba51afc0, "bpf_trace_run1" },
	{ 0x53fb2938, "ib_destroy_qp_user" },
	{ 0x138206fd, "unregister_pernet_subsys" },
	{ 0x4df42de8, "ib_cm_init_qp_attr" },
	{ 0xf6fddc76, "_dev_warn" },
	{ 0x6778d8ac, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcfdf8ce8, "rdma_restrack_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa46efbf1, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x1554e0ba, "ib_get_cached_port_state" },
	{ 0x2b9aaafd, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x98a8a9e7, "rdma_restrack_del" },
	{ 0x18dd4334, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xcacaa4c0, "bpf_trace_run3" },
	{ 0x63d0fcaf, "__put_net" },
	{ 0x16a6b14c, "rdma_restrack_parent_name" },
	{ 0xee5e096e, "iw_cm_accept" },
	{ 0x1efd1070, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd69bb41, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73cb5722, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x420d98c6, "iw_cm_init_qp_attr" },
	{ 0x9127750d, "dst_release" },
	{ 0xe9bdddc6, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x830825c1, "ib_send_cm_dreq" },
	{ 0x10bc94d4, "ib_send_cm_req" },
	{ 0x5338b7fe, "ib_create_qp_kernel" },
	{ 0x319f8300, "ib_sa_join_multicast" },
	{ 0x99840403, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x366ced4c, "rdma_get_gid_attr" },
	{ 0x43aaea33, "rdma_restrack_new" },
	{ 0xbea870c2, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc05cd957, "iw_cm_listen" },
	{ 0xe88d16ca, "ib_send_cm_rej" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9fe06874, "rdma_copy_src_l2_addr" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x992cb84c, "rdma_resolve_ip" },
	{ 0x65386c7a, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5e0396b9, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b0f8657, "ib_unregister_client" },
	{ 0xd17fe789, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb1c72ac8, "ib_send_cm_sidr_rep" },
	{ 0x879f3ebe, "bpf_trace_run4" },
	{ 0x133bb789, "config_group_init" },
	{ 0x1ac50555, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x47eeb393, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x44bf3f0e, "trace_raw_output_prep" },
	{ 0x98c05fae, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf12d7c7b, "__trace_trigger_soft_disabled" },
	{ 0xa5c598c7, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0xa37d49ab, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa95a148b, "rdma_query_gid" },
	{ 0x29bcb8cf, "rt6_lookup" },
	{ 0x4263bab3, "pcpu_hot" },
	{ 0xbcbde276, "rdma_translate_ip" },
	{ 0xf4efad8, "bpf_trace_run2" },
	{ 0x8b6f3686, "rdma_dev_access_netns" },
	{ 0xbc882a06, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xec59567, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56af441f, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6e419326, "register_pernet_subsys" },
	{ 0xeaecf56e, "trace_event_buffer_commit" },
	{ 0x27c3154f, "ip_mc_inc_group" },
	{ 0x3524b784, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xfd1ad225, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "33687F450EB7128D7AB4B60");

MODULE_INFO(suserelease, "SLFO-1.2");
