#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0x6c189984, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0x4d9a6375, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0x1e89fccb, "");
SYMBOL_CRC(cx18_claim_stream, 0x810a1c4b, "");
SYMBOL_CRC(cx18_release_stream, 0x22e94fe2, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2ef7d154, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa1543c62, "i2c_new_scanned_device" },
	{ 0xc5f04e2f, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xcf7b04b4, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe05b2830, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa5529dfe, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x282f5159, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x924df9f1, "vb2_ioctl_dqbuf" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x5bd49672, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xc6c9e63c, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa2dbe4d3, "vb2_ioctl_prepare_buf" },
	{ 0x592caaa, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x41635c28, "pci_read_config_word" },
	{ 0x4ca80558, "vb2_buffer_done" },
	{ 0x785414c2, "vb2_plane_vaddr" },
	{ 0xa09bd80, "v4l2_ctrl_subscribe_event" },
	{ 0xa68b73af, "v4l2_fh_init" },
	{ 0xdcde12c6, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6ab1fc06, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xf03e1a3a, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5a0099e5, "dvb_dmxdev_release" },
	{ 0x4b8ba961, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa50fb04d, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2f17ecc6, "param_ops_short" },
	{ 0xccd32831, "vb2_vmalloc_memops" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x930b1ac7, "vb2_fop_read" },
	{ 0x107ce76f, "__v4l2_device_register_subdev" },
	{ 0x68d83b94, "v4l2_device_register" },
	{ 0x1b4541be, "dvb_frontend_detach" },
	{ 0x5eb10105, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3aef7b27, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8b50851d, "__video_register_device" },
	{ 0x61d36918, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc9c84a86, "dvb_unregister_frontend" },
	{ 0xb7bd3507, "pci_write_config_byte" },
	{ 0x8ca32906, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x44c7194a, "vb2_ioctl_streamon" },
	{ 0x85c8a273, "vb2_fop_poll" },
	{ 0xb4c06815, "v4l2_ctrl_new_std" },
	{ 0x3a8a719e, "v4l2_ctrl_g_ctrl" },
	{ 0xd2da8853, "cx2341x_handler_init" },
	{ 0xef8c4276, "cx2341x_handler_set_50hz" },
	{ 0x7458ef67, "v4l2_ctrl_handler_free" },
	{ 0xb4d6bdb2, "v4l2_device_unregister" },
	{ 0x730030f, "pci_disable_device" },
	{ 0x2c97479d, "dvb_register_frontend" },
	{ 0x64b8803f, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x56005710, "v4l2_subdev_call_wrappers" },
	{ 0x2b79af64, "v4l2_i2c_new_subdev" },
	{ 0x7d9ac6cb, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0x4c16fbf2, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xe511ec58, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x2bdb9db9, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa6e22c9f, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x41e096bc, "v4l2_event_unsubscribe" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xba57314a, "vb2_ioctl_reqbufs" },
	{ 0xb2c68d81, "vb2_queue_init" },
	{ 0x5001741d, "v4l2_fh_exit" },
	{ 0xee5f1117, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1424296c, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xecc3df7d, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5bcdcd82, "vb2_queue_release" },
	{ 0x6b44abad, "pci_enable_device" },
	{ 0xd16da884, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x7580c77a, "i2c_bit_add_bus" },
	{ 0x64a623b2, "v4l2_fh_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608a5ff6, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x90f617fa, "dma_unmap_page_attrs" },
	{ 0x1bd57b9a, "vb2_ops_wait_finish" },
	{ 0x3279971, "request_firmware" },
	{ 0x48fe17fd, "__pci_register_driver" },
	{ 0x506d0e05, "v4l2_ctrl_handler_init_class" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xd5812f3b, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbcf06c00, "vb2_ioctl_querybuf" },
	{ 0xf7a02afe, "v4l2_subdev_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x15038c54, "vb2_video_unregister_device" },
	{ 0x45e8c698, "pci_unregister_driver" },
	{ 0xa5a6a1b1, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2ee0dede, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5ae7d30d, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xac3e5c3d, "v4l2_ctrl_handler_log_status" },
	{ 0x33a68750, "v4l2_ctrl_handler_setup" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,videobuf2-v4l2,dvb-core,tveeprom,videobuf2-common,videobuf2-vmalloc,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "569B9AFE1F87819F6323A64");

MODULE_INFO(suserelease, "SLFO-1.2");
