#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0x71ab5351, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0x1a724b1a, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x3a5e8e95, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x3de4bc12, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x24ef1807, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0xdfc133da, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0xdf16e6f3, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x33a68750, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2ef7d154, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x3e6a616e, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xe05b2830, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x273c797a, "vb2_plane_cookie" },
	{ 0x924df9f1, "vb2_ioctl_dqbuf" },
	{ 0x5bd49672, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa2dbe4d3, "vb2_ioctl_prepare_buf" },
	{ 0x21fcecd7, "dma_alloc_attrs" },
	{ 0x4ca80558, "vb2_buffer_done" },
	{ 0xa09bd80, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xf03e1a3a, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4b8ba961, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa50fb04d, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc1b1d7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x930b1ac7, "vb2_fop_read" },
	{ 0x68d83b94, "v4l2_device_register" },
	{ 0x4f67e83c, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd23f856b, "dma_free_attrs" },
	{ 0x8b50851d, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8ca32906, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x44c7194a, "vb2_ioctl_streamon" },
	{ 0x85c8a273, "vb2_fop_poll" },
	{ 0xb4c06815, "v4l2_ctrl_new_std" },
	{ 0x7458ef67, "v4l2_ctrl_handler_free" },
	{ 0xb4d6bdb2, "v4l2_device_unregister" },
	{ 0x730030f, "pci_disable_device" },
	{ 0x64b8803f, "dma_set_mask" },
	{ 0x7d9ac6cb, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe511ec58, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa6e22c9f, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x41e096bc, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0xba57314a, "vb2_ioctl_reqbufs" },
	{ 0xb2c68d81, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xde9d3dbd, "vb2_dma_sg_memops" },
	{ 0xecc3df7d, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6b44abad, "pci_enable_device" },
	{ 0xd16da884, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bd57b9a, "vb2_ops_wait_finish" },
	{ 0x48fe17fd, "__pci_register_driver" },
	{ 0x506d0e05, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xd5812f3b, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xbcf06c00, "vb2_ioctl_querybuf" },
	{ 0xa4f9e93a, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x45e8c698, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "4BBCE74D4029F4F21F52B2F");

MODULE_INFO(suserelease, "SLFO-1.2");
