#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x4da62e5c, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0xb67d27a5, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0x1ed64a07, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x338962cb, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0xd094a175, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x79d0afb7, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0xb31e2baf, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0xebd02fdb, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x26d499e4, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x89258cba, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0x58db1a1d, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x7596d14b, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x8f31e52b, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x41425f87, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0xba665d53, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x452bbb43, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x91167190, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0x370c0512, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0xe7f68c51, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0x52d1f21f, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x9c38328b, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x8f08495b, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x119f4d21, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x791f3546, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x48fe17fd, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x47babb6b, "pci_disable_msi" },
	{ 0xbd13838c, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x4263bab3, "pcpu_hot" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfbb27721, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x45e8c698, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b118ed3, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8e1aedd7, "pm_schedule_suspend" },
	{ 0x1d223e58, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8dee7239, "pci_enable_msi" },
	{ 0xf12e71e4, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xb9d01480, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x21fcecd7, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf28567e8, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0xc1b1d7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6e1750ba, "pm_runtime_forbid" },
	{ 0xd23f856b, "dma_free_attrs" },
	{ 0xdaa15814, "pm_runtime_allow" },
	{ 0x6243bda9, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfea1d83, "param_ops_bool" },
	{ 0x25d874e7, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb7bd3507, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x730030f, "pci_disable_device" },
	{ 0x34b8594b, "mfd_remove_devices" },
	{ 0x64b8803f, "dma_set_mask" },
	{ 0xb3e43fa1, "dma_unmap_sg_attrs" },
	{ 0x7d9ac6cb, "pci_read_config_byte" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe439fad7, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb39fc8ae, "pci_write_config_dword" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x1db6aa00, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3ba20a7f, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x26470f45, "pci_find_ext_capability" },
	{ 0x6b44abad, "pci_enable_device" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "C84F85E7544A89EC63E766C");

MODULE_INFO(suserelease, "SLFO-1.2");
