#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0x4621cb0e, "");
SYMBOL_CRC(deregister_atm_ioctl, 0x4d61c702, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x44c6e633, "");
SYMBOL_CRC(vcc_insert_socket, 0x43e8cd3d, "");
SYMBOL_CRC(vcc_release_async, 0x11edd7e6, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x9b7eeff6, "");
SYMBOL_CRC(atm_dev_signal_change, 0xa20f5d1c, "");
SYMBOL_CRC(atm_dev_release_vccs, 0xe21eb1bb, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0x611838c2, "");
SYMBOL_CRC(atm_alloc_charge, 0x5ebef71f, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0xb2360eb7, "");
SYMBOL_CRC(atm_dev_lookup, 0xc06d501c, "");
SYMBOL_CRC(atm_dev_register, 0x1684159e, "");
SYMBOL_CRC(atm_dev_deregister, 0x7ba502d4, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0x1c13a7e, "sock_register" },
	{ 0x6467108a, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x61208a56, "put_device" },
	{ 0x912af545, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xcf7b04b4, "const_pcpu_hot" },
	{ 0x6a040fbc, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x744ab661, "skb_queue_tail" },
	{ 0x2ba99076, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x54f6d002, "device_create_file" },
	{ 0xa9610c8c, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcdf4e662, "sk_skb_reason_drop" },
	{ 0xeb99d86f, "noop_llseek" },
	{ 0x8a0d0232, "sk_free" },
	{ 0x3d96b62f, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x172b5c28, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2720e4d7, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9de7ed29, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3f28093b, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x13e7f01b, "lock_sock_nested" },
	{ 0x18907415, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xff1beac6, "sk_alloc" },
	{ 0xf0f97eba, "device_register" },
	{ 0xc6bac599, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0xe3dc422b, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xf00f843e, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7c24ab8f, "skb_recv_datagram" },
	{ 0xecbc42b2, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc7d38403, "remove_proc_entry" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x4f2785c4, "seq_printf" },
	{ 0x2622599a, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x2b70cf08, "sock_gettstamp" },
	{ 0x6df71f38, "_proc_mkdir" },
	{ 0x573ccdf0, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb6f34a69, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0x11ee73, "dev_kfree_skb_any_reason" },
	{ 0xf0b3394d, "iov_iter_revert" },
	{ 0xb37dbbb0, "proc_create_seq_private" },
	{ 0x3801c8bb, "class_register" },
	{ 0x6999c018, "sock_init_data" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0xe3904afc, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeb3db850, "release_sock" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x459c1a41, "skb_free_datagram" },
	{ 0xb0ff96db, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x76d79488, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x518f7648, "dev_set_name" },
	{ 0x9a715c8c, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x92055122, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x1af5acca, "proc_create_data" },
	{ 0x6c069e8a, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x319c66bc, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9b28d5d6, "proto_unregister" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B146EF15E7BB381AD1AAC1");

MODULE_INFO(suserelease, "SLFO-1.2");
