#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x99902d59, "");
SYMBOL_CRC(wpan_phy_for_each, 0x1ab08550, "");
SYMBOL_CRC(wpan_phy_new, 0x1d315eda, "");
SYMBOL_CRC(wpan_phy_register, 0x02545a4b, "");
SYMBOL_CRC(wpan_phy_unregister, 0x112a7f49, "");
SYMBOL_CRC(wpan_phy_free, 0xf815daa3, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x30357a51, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x5f2508b7, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x61561b4b, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x301385dc, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0xf8a5c3d0, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xac00e89a, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xdbee0721, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xcdf4ffb6, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x52c3a078, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x5cd473cf, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xa43cc79e, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xcbd96b88, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0x28b47cf5, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x14dffb3e, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x2813ebe8, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x860200cb, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0xb1577593, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3f28093b, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x545f21d7, "unregister_pernet_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xba51afc0, "bpf_trace_run1" },
	{ 0xc6bac599, "device_del" },
	{ 0x9c3740be, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3cf2410, "__pskb_pull_tail" },
	{ 0x867e15e0, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xcacaa4c0, "bpf_trace_run3" },
	{ 0x63d0fcaf, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6c74b0b3, "get_net_ns_by_pid" },
	{ 0x1efd1070, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4644fe27, "device_match_name" },
	{ 0x344dd3ce, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc69fd09f, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x72d18d60, "genl_register_family" },
	{ 0x2ddc5ecf, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x299cb40c, "register_pernet_device" },
	{ 0x80fb9e8d, "get_net_ns_by_fd" },
	{ 0x3801c8bb, "class_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x508c1aee, "class_find_device" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x879f3ebe, "bpf_trace_run4" },
	{ 0x76d79488, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x518f7648, "dev_set_name" },
	{ 0xbcac9151, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44bf3f0e, "trace_raw_output_prep" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xf12d7c7b, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa5c598c7, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x905435c, "device_initialize" },
	{ 0x53e18e92, "genlmsg_put" },
	{ 0xa37d49ab, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4263bab3, "pcpu_hot" },
	{ 0xf4efad8, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x96bc2582, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x48baee5c, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa92b27b3, "device_rename" },
	{ 0xeaecf56e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x61208a56, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x912af545, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaef0cdd2, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2f5f9ba5, "__dev_get_by_index" },
	{ 0x8fb5f0f6, "perf_trace_run_bpf_submit" },
	{ 0xa9610c8c, "init_net" },
	{ 0x8dfefc8f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xcad72aff, "device_add" },
	{ 0xcdf4e662, "sk_skb_reason_drop" },
	{ 0xc49571a5, "netlink_unicast" },
	{ 0x1e128d1b, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "41E7773C1AA1DB2EE13E023");

MODULE_INFO(suserelease, "SLFO-1.2");
