#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x2740e522, "");
SYMBOL_CRC(ieee802154_configure_durations, 0xa9b1daae, "");
SYMBOL_CRC(ieee802154_free_hw, 0x83d84f3b, "");
SYMBOL_CRC(ieee802154_register_hw, 0x6fd716bc, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x3e184ba5, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x1ddd4f1d, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x252d6a5c, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x0201fdb0, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0xd310e265, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x52c3a078, "nl802154_scan_started" },
	{ 0x5f800543, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x912af545, "__alloc_skb" },
	{ 0xfd5c3ce1, "skb_copy_expand" },
	{ 0x744ab661, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xf102f7c6, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8fb5f0f6, "perf_trace_run_bpf_submit" },
	{ 0x14dffb3e, "cfg802154_get_free_short_addr" },
	{ 0xf12e71e4, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2545a4b, "wpan_phy_register" },
	{ 0x2813ebe8, "cfg802154_set_max_associations" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x67389f5e, "crypto_aead_encrypt" },
	{ 0xcdf4e662, "sk_skb_reason_drop" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x860200cb, "skb_push" },
	{ 0xdbee0721, "ieee802154_hdr_peek" },
	{ 0xf815daa3, "wpan_phy_free" },
	{ 0x16f51680, "netif_receive_skb" },
	{ 0xb1577593, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x16374542, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xba51afc0, "bpf_trace_run1" },
	{ 0x6b9251ed, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xf6fddc76, "_dev_warn" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x301385dc, "ieee802154_hdr_pull" },
	{ 0xcdf4ffb6, "nl802154_scan_event" },
	{ 0x4cc0ae5c, "crypto_alloc_sync_skcipher" },
	{ 0x867e15e0, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa3bcdca, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcacaa4c0, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1efd1070, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x61561b4b, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0xf8a5c3d0, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1d315eda, "wpan_phy_new" },
	{ 0x9324b143, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x30357a51, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x11ee73, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xcbd96b88, "cfg802154_device_is_parent" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x28b47cf5, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13f0297d, "register_netdevice" },
	{ 0xd8b9b710, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x879f3ebe, "bpf_trace_run4" },
	{ 0xa43cc79e, "nl802154_beaconing_done" },
	{ 0x76d79488, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9a715c8c, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x44bf3f0e, "trace_raw_output_prep" },
	{ 0x92055122, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf12d7c7b, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xa5c598c7, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x714c641e, "dev_alloc_name" },
	{ 0xa37d49ab, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x5f2508b7, "ieee802154_mac_cmd_push" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4263bab3, "pcpu_hot" },
	{ 0x587204fc, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xf4efad8, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x54d73387, "netdev_warn" },
	{ 0xc504163f, "crypto_aead_setauthsize" },
	{ 0xd734017e, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x8a7dccb5, "crypto_skcipher_setkey" },
	{ 0x40a55636, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfbb27721, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xac00e89a, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x112a7f49, "wpan_phy_unregister" },
	{ 0xeaecf56e, "trace_event_buffer_commit" },
	{ 0x7ac4c690, "dev_addr_mod" },
	{ 0x48bbe934, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3163207c, "alloc_netdev_mqs" },
	{ 0x5cd473cf, "nl802154_scan_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "DC1138AE16B2B32E5FDFC74");

MODULE_INFO(suserelease, "SLFO-1.2");
