#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xe75d04f7, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x5ca5c1c8, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xf4b016ab, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x747b162c, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbfc503ac, "sk_error_report" },
	{ 0x319c66bc, "skb_queue_purge_reason" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0xeaecf56e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9b28d5d6, "proto_unregister" },
	{ 0x1c13a7e, "sock_register" },
	{ 0x727cb153, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x912af545, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xcf7b04b4, "const_pcpu_hot" },
	{ 0x6a040fbc, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2ba99076, "module_put" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x29905259, "sock_no_shutdown" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8fb5f0f6, "perf_trace_run_bpf_submit" },
	{ 0xa9610c8c, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcdf4e662, "sk_skb_reason_drop" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6f6edb75, "__SCK__tp_func_sk_data_ready" },
	{ 0x238dae41, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x8a0d0232, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x172b5c28, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x860200cb, "skb_push" },
	{ 0x2720e4d7, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb1577593, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x13e7f01b, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x18907415, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xff1beac6, "sk_alloc" },
	{ 0xe3dc422b, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf00f843e, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x126bd412, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xcacaa4c0, "bpf_trace_run3" },
	{ 0xb25f69f4, "skb_set_owner_w" },
	{ 0x1efd1070, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x642cbea9, "sock_create_kern" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x7c24ab8f, "skb_recv_datagram" },
	{ 0x5a7b54c4, "sock_alloc_send_pskb" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x2622599a, "_copy_from_iter" },
	{ 0x54b27d15, "sock_release" },
	{ 0x2b70cf08, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0xf0b3394d, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x17f194a7, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x6999c018, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0xeb3db850, "release_sock" },
	{ 0x459c1a41, "skb_free_datagram" },
	{ 0x87de37bd, "sock_queue_rcv_skb_reason" },
	{ 0x2eaebe71, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x879f3ebe, "bpf_trace_run4" },
	{ 0x125a55f9, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x76d79488, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9a715c8c, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x44bf3f0e, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0xf12d7c7b, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xa5c598c7, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x346eefdc, "kernel_bind" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa37d49ab, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4263bab3, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc60246cd, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa26d9706, "__module_get" },
	{ 0xe24debc7, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "473C5AB47E04ECEA0106681");

MODULE_INFO(suserelease, "SLFO-1.2");
