#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format_bits, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spdif_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x2f19e647, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x6ce8d12e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0xdef1af16, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0xe8a35f4a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0xc7c2bbb2, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0xc9ad68ab, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0x64a906d2, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x5b277592, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0xaf559241, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x096e11e0, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0xd70682c7, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x15870372, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0xf41b4437, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0xc8eb12a5, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x20176919, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0xb779c1c8, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0xb98b48b4, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0xdf3689a4, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0xb16009e0, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x2858a61d, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0x44355efd, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0xb658bc79, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x60990c29, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0xd9ee330c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format_bits, 0xdfb2511b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format, 0xdcb61650, "_gpl");
SYMBOL_CRC(snd_hdac_spdif_stream_format, 0xbfc95c33, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x795a5af4, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0xe3c68cc6, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0xfcdd0861, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0xc101c90e, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x0fb3a02b, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0xcef64410, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0xe1286e31, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0xf11d1064, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x83a6992e, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x457c6bb1, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x727b7cf6, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x817bcfdc, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x3ff5fcf7, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x65eba165, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x4062b466, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0xf4c5da6e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0x9d3c05b3, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x3c4e66cf, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x8473d0cf, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x8dc7e0c1, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x96edcc3c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x4c12304c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0xb676174b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x8a85dcdd, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x16de8fa9, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x81dbafac, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x73ba36a0, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x5f6e3d55, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0xd281e99f, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x81678999, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0xa4557a0a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0xe9f970aa, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xf5acab4b, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xf2070070, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xde126e45, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0xaa511b73, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0xd8cfecad, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0xdb7e8f24, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x47ad6bd2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x53883998, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x9bfd86c1, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x4089748c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0xb9001470, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x981868a2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x3d1f3da6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x27e847ba, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x3002bae7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x07f161b2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x4ff92427, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0x08dc821e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x9f6ade6d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0xcec25188, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0xa82f3565, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x1b3d82b1, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x04b965e5, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xaf7a3d40, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0xa76efd5b, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x157f0b44, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0xd6dc5212, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x5e0f88a6, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x09e838ff, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0xf154e04d, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x815323f6, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0xa701e657, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x3cd37a34, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x2d1326c0, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x6e3a322c, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x39afe65a, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0xf9332bf7, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x825171ff, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ebae8fd, "snd_sgbuf_get_addr" },
	{ 0xfbb27721, "__dynamic_dev_dbg" },
	{ 0xa6a3ee71, "snd_sgbuf_get_chunk_size" },
	{ 0xcaac7c1f, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeaecf56e, "trace_event_buffer_commit" },
	{ 0x1a6ac38a, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x53ee3305, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x61208a56, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4990b6fe, "_dev_info" },
	{ 0x2ba99076, "module_put" },
	{ 0x899a2e37, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8fb5f0f6, "perf_trace_run_bpf_submit" },
	{ 0xd90842ae, "bus_unregister" },
	{ 0xf12e71e4, "_dev_err" },
	{ 0x74915ee5, "kobject_add" },
	{ 0xcad72aff, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa0b0bc43, "__devres_alloc_node" },
	{ 0xb1577593, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x59b8aa86, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x334f511b, "__regmap_init" },
	{ 0xc6bac599, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0xf6fddc76, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xbad11788, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7d41695, "sysfs_remove_group" },
	{ 0xcacaa4c0, "bpf_trace_run3" },
	{ 0x935dfe8f, "component_master_del" },
	{ 0xcabcf7d, "regmap_read" },
	{ 0x1efd1070, "trace_event_buffer_reserve" },
	{ 0x6243bda9, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x553f4bf6, "component_bind_all" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe385f704, "snd_pcm_hw_params_bits" },
	{ 0x2b789272, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaf555d47, "pci_match_id" },
	{ 0x3826ef8b, "devres_find" },
	{ 0x9e31f28b, "regmap_update_bits_base" },
	{ 0x97507a68, "dev_err_probe" },
	{ 0x2ae0c52c, "__pm_runtime_suspend" },
	{ 0xce9b53c, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0xe511ec58, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x55681d68, "component_unbind_all" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5c585086, "pci_bus_type" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x9e954c6b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe9b102d0, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb0ff96db, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xdafe2d04, "regcache_sync" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe61f5598, "regmap_write" },
	{ 0x8a61ef73, "snd_dma_alloc_dir_pages" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x518f7648, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf0cebe5d, "component_master_add_with_match" },
	{ 0x44bf3f0e, "trace_raw_output_prep" },
	{ 0x2215e0cc, "snd_pcm_add_chmap_ctls" },
	{ 0xab15c0dd, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf12d7c7b, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9083c504, "pci_get_device" },
	{ 0xa5c598c7, "trace_event_printf" },
	{ 0xf35a0eda, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5f1be893, "pm_runtime_get_if_active" },
	{ 0x16951edc, "kobject_init" },
	{ 0x905435c, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xa37d49ab, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d760a88, "regcache_reg_cached" },
	{ 0x4263bab3, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf4efad8, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "5DB94B74966C5289F2EAEBD");

MODULE_INFO(suserelease, "SLFO-1.2");
