#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0xb989675d, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0xbd8c1436, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x62d6656c, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0xe27cf650, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x3cdaca0b, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0xe380bb51, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0xec8f28f6, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x4c9e1510, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x740f9bca, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x3fcde4ef, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x4ee7c4d4, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x884ca6f1, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0xee43f627, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x3ff4e1d7, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x6ccc7795, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x715f7807, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x344f6640, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x82ca4428, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0xec4b84c8, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbbd599fb, "phy_set_mode_ext" },
	{ 0x40be5ddf, "phy_power_on" },
	{ 0xc7bc0e00, "phy_init" },
	{ 0x7a765010, "phy_power_off" },
	{ 0x7b41dd87, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4a1641e0, "regulator_disable" },
	{ 0x353fc9af, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xe439fad7, "__pm_runtime_idle" },
	{ 0xabc72643, "__pm_runtime_disable" },
	{ 0x8ba753b8, "ata_host_resume" },
	{ 0xee47ead9, "ahci_reset_controller" },
	{ 0x97117539, "ahci_init_controller" },
	{ 0xd143adaa, "regulator_enable" },
	{ 0x68aa66c2, "platform_get_irq" },
	{ 0xab4999d, "ahci_save_initial_config" },
	{ 0xcb5bfa30, "ahci_set_em_messages" },
	{ 0x6b0a4156, "ata_host_alloc_pinfo" },
	{ 0x657eb01f, "platform_get_resource" },
	{ 0xc24d8deb, "ata_port_desc" },
	{ 0x3b1145e8, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x11bc5178, "ahci_print_info" },
	{ 0xa2151416, "ahci_host_activate" },
	{ 0x64b8803f, "dma_set_mask" },
	{ 0x323c69aa, "dma_set_coherent_mask" },
	{ 0x7fea5a32, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf12e71e4, "_dev_err" },
	{ 0x4990b6fe, "_dev_info" },
	{ 0xb5ced886, "devres_open_group" },
	{ 0xa0b0bc43, "__devres_alloc_node" },
	{ 0xcaac7c1f, "devres_add" },
	{ 0x2a17b287, "platform_get_resource_byname" },
	{ 0xfa491e79, "devm_platform_ioremap_resource_byname" },
	{ 0xa9b641d, "devm_clk_bulk_get_all" },
	{ 0x28c1b19e, "devm_regulator_get" },
	{ 0xb2895197, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc530dccf, "devm_of_phy_get" },
	{ 0xf6756830, "regulator_get" },
	{ 0x78e54ae2, "pm_runtime_enable" },
	{ 0x6243bda9, "__pm_runtime_resume" },
	{ 0x865968ec, "devres_remove_group" },
	{ 0xe7a39da8, "devm_platform_ioremap_resource" },
	{ 0x6d75c94e, "devres_release_group" },
	{ 0xa1e9f78a, "devm_reset_control_array_get" },
	{ 0x1d2c9881, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x25310812, "ata_host_suspend" },
	{ 0x53ee3305, "__pm_runtime_set_status" },
	{ 0x831c73ea, "ahci_ops" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "991E919DFCC50B2CFECA27D");

MODULE_INFO(suserelease, "SLFO-1.2");
