#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_read_poll_value, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_read_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_format_scale, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_convert_timestamp, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_get_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_set_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_batch_mode_supported, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_parse_common_attributes, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_read_poll_value, 0x5a5b842f, "");
SYMBOL_CRC(hid_sensor_read_samp_freq_value, 0xdf079a21, "");
SYMBOL_CRC(hid_sensor_write_samp_freq_value, 0x0d8dc04e, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_value, 0xc3f583fc, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_rel_value, 0xc174ae5b, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_value, 0x057f460e, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_rel_value, 0x0efb6a94, "");
SYMBOL_CRC(hid_sensor_format_scale, 0x7f7621ec, "");
SYMBOL_CRC(hid_sensor_convert_timestamp, 0x7677ca25, "");
SYMBOL_CRC(hid_sensor_get_report_latency, 0xaf8176b7, "");
SYMBOL_CRC(hid_sensor_set_report_latency, 0x6f04133c, "");
SYMBOL_CRC(hid_sensor_batch_mode_supported, 0x6873f749, "");
SYMBOL_CRC(hid_sensor_parse_common_attributes, 0x7945cd05, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbb27721, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x709404d7, "sensor_hub_set_feature" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1af267f8, "int_pow" },
	{ 0xa06a2a80, "sensor_hub_input_get_attribute_info" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4b94a9ed, "sensor_hub_get_feature" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "hid-sensor-hub");


MODULE_INFO(srcversion, "191F8EAE534206EA6F6657E");

MODULE_INFO(suserelease, "SLFO-1.2");
