#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0xd03ec614, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x674eb2fc, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0xc5282a62, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x9705fece, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0xcdf2e847, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0x56f0bb8f, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x27e592c2, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x159f9cda, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x4de4f20a, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x18d8853e, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0xd132e3b2, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x04aa0a63, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0xbbf9ddd5, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0xafff2df0, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdac4f7b2, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x27a0a5c5, "device_set_node" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xe175ccf, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x61208a56, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xcf7b04b4, "const_pcpu_hot" },
	{ 0xa567ea6d, "fwnode_property_read_u32_array" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2ba99076, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb34d2726, "compat_ptr_ioctl" },
	{ 0x1cdf34c8, "cdev_add" },
	{ 0x259c9009, "mtd_block_markbad" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xf3a0fa90, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x8930f994, "unregister_mtd_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x345e7f72, "kmem_cache_free" },
	{ 0x7eb7f3bb, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xee014b0f, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe67b168b, "put_mtd_device" },
	{ 0xbc6cb03e, "register_mtd_user" },
	{ 0x3f28093b, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x87c02dcd, "mtd_read" },
	{ 0x270f9c57, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x65f21e8b, "freezing_slow_path" },
	{ 0xf0f97eba, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0x7df774b, "kern_path" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xe687f1df, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4bd88a2b, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0x4fe52f69, "__kmem_cache_create_args" },
	{ 0x6374add5, "mtd_erase" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x95026cfc, "kthread_create_on_node" },
	{ 0x223dd685, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2ac42af8, "mtd_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x62e91e6d, "fwnode_property_read_string" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6001e3c2, "device_get_named_child_node" },
	{ 0xecbc42b2, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4f2785c4, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf43e643a, "debugfs_create_file_full" },
	{ 0x9b23bbee, "mtd_get_device_size" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x268bb0c6, "seq_open" },
	{ 0x754d539c, "strlen" },
	{ 0x6cc49371, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc183f07a, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x3801c8bb, "class_register" },
	{ 0xe6606424, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0xd5eb880e, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xfc4d84b2, "kmem_cache_destroy" },
	{ 0x760a0f4f, "yield" },
	{ 0xb0ff96db, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb5a10e33, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1ec86afa, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x518f7648, "dev_set_name" },
	{ 0xb859e052, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5de6b307, "cdev_device_del" },
	{ 0x93b15f78, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x905435c, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x88ee9283, "seq_lseek" },
	{ 0x348611e2, "fwnode_get_next_child_node" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x96bc2582, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x1cb75890, "get_mtd_device_nm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc0a1ed90, "path_put" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c8b8dd6, "get_mtd_device" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "5470A517A24964CAE386EE5");

MODULE_INFO(suserelease, "SLFO-1.2");
