#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_cdc_update_filter, "_gpl", "");
KSYMTAB_FUNC(usbnet_generic_cdc_bind, "_gpl", "");
KSYMTAB_FUNC(usbnet_ether_cdc_bind, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_unbind, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_status, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_bind, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_zte_rx_fixup, "_gpl", "");

SYMBOL_CRC(usbnet_cdc_update_filter, 0xe1b56922, "_gpl");
SYMBOL_CRC(usbnet_generic_cdc_bind, 0x74348711, "_gpl");
SYMBOL_CRC(usbnet_ether_cdc_bind, 0x6c3f9b33, "_gpl");
SYMBOL_CRC(usbnet_cdc_unbind, 0xb60dfd5f, "_gpl");
SYMBOL_CRC(usbnet_cdc_status, 0x7bd55dc8, "_gpl");
SYMBOL_CRC(usbnet_cdc_bind, 0xcdcfe40c, "_gpl");
SYMBOL_CRC(usbnet_cdc_zte_rx_fixup, 0xfaba4ae5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb0a6fc5, "usb_control_msg" },
	{ 0xc8d4bcbe, "usb_driver_release_interface" },
	{ 0x1b182a65, "cdc_parse_cdc_header" },
	{ 0x528d0834, "usb_ifnum_to_if" },
	{ 0x4990b6fe, "_dev_info" },
	{ 0x355f1df2, "usb_driver_claim_interface" },
	{ 0xe25b8988, "usbnet_get_endpoints" },
	{ 0xfbb27721, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a501c74, "usb_register_driver" },
	{ 0xc06911d, "usb_deregister" },
	{ 0xcbc904ba, "usbnet_link_change" },
	{ 0xa3bcdca, "__dynamic_netdev_dbg" },
	{ 0x9116beaf, "netdev_err" },
	{ 0xe7b385b4, "netif_carrier_off" },
	{ 0x11b00cc6, "usbnet_get_ethernet_addr" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7ac4c690, "dev_addr_mod" },
	{ 0x38493dd7, "usbnet_probe" },
	{ 0xc0670e3, "usbnet_disconnect" },
	{ 0xacbf6e27, "usbnet_suspend" },
	{ 0x4a48dbe4, "usbnet_resume" },
	{ 0x880fc451, "usbnet_manage_power" },
	{ 0xa0f19b5c, "usbnet_get_drvinfo" },
	{ 0x7b6d2f65, "usbnet_get_msglevel" },
	{ 0x33e31279, "usbnet_set_msglevel" },
	{ 0xc077907, "usbnet_nway_reset" },
	{ 0xb846f51c, "usbnet_get_link" },
	{ 0x5cf2cdc8, "ethtool_op_get_ts_info" },
	{ 0x4d78ef3f, "usbnet_get_link_ksettings_internal" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet");

MODULE_ALIAS("usb:v04DDp8004d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8005d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8005d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp8006d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8006d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp8007d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8007d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp9031d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp9032d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp9032d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp9050d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v07B4p0F02d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1004p61AAd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v046DpC11Fd*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v1410pB001d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1410p9010d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp8195d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp8196d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp819Bd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1410p9011d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v03F0p421Dd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v16D5p650Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v12D1p14ACd*dc*dsc*dp*ic*isc*ip*in01*");
MODULE_ALIAS("usb:v0BDAp8153d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v17EFp721Ed*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v17EFpA359d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1003d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1015d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1173d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1177d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1181d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1BC7p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp81BAd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v12D1p15C1d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1143d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1104d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1313d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1343d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0061d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0055d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp005Bd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0069d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc06ipFFin*");

MODULE_INFO(srcversion, "22D0D7480E4D8DAB6846E55");

MODULE_INFO(suserelease, "SLFO-1.2");
