#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x9526fc9b, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0xdb98e93e, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0xafc4a870, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0xc6e002d9, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x16f2e0e3, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x8d324c69, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x3210a841, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x3beb68a1, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x9cbecbb0, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x5d1f464f, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x26b09da0, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4263bab3, "pcpu_hot" },
	{ 0x68a9547, "netif_tx_lock" },
	{ 0xdc987d81, "usbnet_start_xmit" },
	{ 0xc63ee1e4, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4990b6fe, "_dev_info" },
	{ 0x3a9a51c5, "usbnet_write_cmd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xf5ce6720, "usbnet_read_cmd" },
	{ 0x126bd412, "__netdev_alloc_skb" },
	{ 0x76d79488, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x64eb1cda, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x1b182a65, "cdc_parse_cdc_header" },
	{ 0x528d0834, "usb_ifnum_to_if" },
	{ 0x355f1df2, "usb_driver_claim_interface" },
	{ 0xa3040d2b, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x11b00cc6, "usbnet_get_ethernet_addr" },
	{ 0xf12e71e4, "_dev_err" },
	{ 0x912af545, "__alloc_skb" },
	{ 0x880fc451, "usbnet_manage_power" },
	{ 0xe1b56922, "usbnet_cdc_update_filter" },
	{ 0xea9f1f19, "usbnet_open" },
	{ 0x775ae123, "usbnet_stop" },
	{ 0x8d3b34ae, "usbnet_set_rx_mode" },
	{ 0xa5e4fd03, "eth_mac_addr" },
	{ 0xf1c3cbeb, "eth_validate_addr" },
	{ 0xe733e95e, "usbnet_tx_timeout" },
	{ 0x9d9a8bde, "dev_get_tstats64" },
	{ 0xa0f19b5c, "usbnet_get_drvinfo" },
	{ 0x7b6d2f65, "usbnet_get_msglevel" },
	{ 0x33e31279, "usbnet_set_msglevel" },
	{ 0xc077907, "usbnet_nway_reset" },
	{ 0xb846f51c, "usbnet_get_link" },
	{ 0x5cf2cdc8, "ethtool_op_get_ts_info" },
	{ 0x4d78ef3f, "usbnet_get_link_ksettings_internal" },
	{ 0x38493dd7, "usbnet_probe" },
	{ 0xc0670e3, "usbnet_disconnect" },
	{ 0xacbf6e27, "usbnet_suspend" },
	{ 0x4a48dbe4, "usbnet_resume" },
	{ 0xfea1d83, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfbb27721, "__dynamic_dev_dbg" },
	{ 0xf6fddc76, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x11ee73, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc8d4bcbe, "usb_driver_release_interface" },
	{ 0xc385ced7, "usb_altnum_to_altsetting" },
	{ 0xa3bcdca, "__dynamic_netdev_dbg" },
	{ 0x5a501c74, "usb_register_driver" },
	{ 0xc06911d, "usb_deregister" },
	{ 0xcbc904ba, "usbnet_link_change" },
	{ 0xd10791e4, "usbnet_update_max_qlen" },
	{ 0x44a0c0cb, "usbnet_unlink_rx_urbs" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "D3DE83AE5D5E875CFE14D00");

MODULE_INFO(suserelease, "SLFO-1.2");
