#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7615_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_set_channel, 0xb5962044, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_add, 0x41a9cdc4, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0x3c729fe0, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x44707978, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x1c48e388, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0xe26e0588, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0xd8bc4f43, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x08ede92b, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0x8daee839, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0xd025ca6e, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0x88b73954, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x847374b9, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0xf1da9ab3, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0xa5a9943f, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0xcc979f37, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0x6da5e986, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0xd81ac391, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0xe917a910, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0x0b9ae742, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x17a6fab0, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x6a3a18c6, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x622abbaa, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0x4267e698, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0xbc6553d4, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x5d7a1bcb, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0xfc29d63e, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0xc574a6e0, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x96ecc3bc, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0x14fed8af, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0xe458efd2, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0xe08ecdb0, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4578fa32, "mt76_wcid_key_setup" },
	{ 0x4990b6fe, "_dev_info" },
	{ 0xbdc78da0, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x759523f0, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe4cfc330, "mt76_connac_mcu_sched_scan_req" },
	{ 0xde15082b, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0xfdd9b49a, "mt76_connac_mcu_uni_add_bss" },
	{ 0x1b344b46, "mt76_phy_dfs_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7b8bf9b5, "wiphy_to_ieee80211_hw" },
	{ 0x51447666, "debugfs_attr_read" },
	{  0x995be, "mt76_connac_mcu_hw_scan" },
	{ 0x9b9f70fe, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x31919430, "ieee80211_queue_delayed_work" },
	{ 0xda86a0ae, "mt76_eeprom_init" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8fb5f0f6, "perf_trace_run_bpf_submit" },
	{ 0xf12e71e4, "_dev_err" },
	{ 0xf3a0fa90, "simple_open" },
	{ 0x8dfefc8f, "skb_pull" },
	{ 0x3c71dc27, "debugfs_create_file_unsafe" },
	{ 0x293aac33, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x66979a83, "simple_attr_release" },
	{ 0xb697f49d, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x55b64098, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x652032cb, "mac_pton" },
	{ 0x9db6354e, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x860200cb, "skb_push" },
	{ 0x9de7ed29, "seq_putc" },
	{ 0xb1577593, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xefeefaa7, "ieee80211_wake_queues" },
	{ 0x10d70ac3, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd3142435, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe2ce0f4, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa4df9ad4, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xaacf94f9, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x9840048c, "mt76_connac_pm_dequeue_skbs" },
	{ 0x458a46f1, "mt76_connac_mcu_set_pm" },
	{ 0x720644aa, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb793261e, "devm_hwmon_device_register_with_groups" },
	{ 0x2c711d04, "ieee80211_emulate_add_chanctx" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xaf62d16e, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa0d35ee4, "debugfs_create_u32" },
	{ 0xcc68de03, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xb76dadc8, "mt76_connac_mcu_start_patch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf365f6a, "__SCK__tp_func_mac_txdone" },
	{ 0x9ebcf419, "mt76_sta_state" },
	{ 0x110c86bf, "ieee80211_ready_on_channel" },
	{ 0x5957c863, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97181cdf, "mt76_connac_mcu_del_wtbl_all" },
	{ 0xc5c090e5, "mt76_connac_mcu_init_download" },
	{ 0xb2c9659f, "devm_kasprintf" },
	{ 0x223dd685, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1a6ca233, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x1e22b547, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x16cf37a, "mt76_get_rate_power_limits" },
	{ 0x1efd1070, "trace_event_buffer_reserve" },
	{ 0x42a06c50, "ieee80211_sched_scan_results" },
	{ 0x9b8fb294, "ieee80211_scan_completed" },
	{ 0xf71178e7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd5f5a33, "mt76_insert_ccmp_hdr" },
	{ 0x97c78bfc, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfea1d83, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1c6e5931, "mt76_sw_scan_complete" },
	{ 0xe15bcb08, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xecbc42b2, "seq_write" },
	{ 0xc901b5c2, "mt76_connac_mcu_start_firmware" },
	{ 0xa3f5a648, "____mt76_poll_msec" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x91f9e074, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfda1cf96, "mt76_connac_mcu_rdd_cmd" },
	{ 0x4f2785c4, "seq_printf" },
	{ 0xe2c88d59, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4df31cfe, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4636955f, "mt76_unregister_phy" },
	{ 0xf43e643a, "debugfs_create_file_full" },
	{ 0xb7f00899, "mt76_register_phy" },
	{ 0xad0c81fe, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0xa3f4a6ff, "mt76_put_txwi" },
	{ 0x463aba6f, "mt76_wcid_cleanup" },
	{ 0x5d1c15a, "ieee80211_radar_detected" },
	{ 0xeea4feec, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x289d788a, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xe7ce4e, "single_release" },
	{ 0xd988758a, "mt76_sw_scan" },
	{ 0x49315f2c, "mt76_queues_read" },
	{ 0x4be5627c, "mt76_connac_mcu_set_hif_suspend" },
	{ 0xee9244c0, "mt76_sta_pre_rcu_remove" },
	{ 0x15d958aa, "mt76_register_debugfs_fops" },
	{ 0xf6b12086, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0xa501d7ae, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0x1d8322fa, "mt76_connac_mcu_sta_ba" },
	{ 0x72aa0238, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x9de0c77c, "ieee80211_queue_work" },
	{ 0x52aa317a, "napi_schedule_prep" },
	{ 0x75bfa760, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x2a6e5575, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0x6037e6d9, "__mt76_poll" },
	{ 0xd1fd5159, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x554e6a1c, "debugfs_create_u8" },
	{ 0xafd85a4f, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x9116c221, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x1f626524, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x278c13a2, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4f6ed9e4, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9633e0f1, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xd517820b, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xa5032258, "mt76_update_channel" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xc13b120b, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0xe78b1a78, "mt76_connac_mcu_sta_tlv" },
	{ 0x5a1c2f3f, "device_set_wakeup_enable" },
	{ 0x572defc6, "mt76_tx_worker_run" },
	{ 0xa370fb6, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2e07a867, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe75a8407, "simple_attr_open" },
	{ 0xdffa6e92, "ieee80211_iterate_interfaces" },
	{ 0xcdc91508, "debugfs_attr_write" },
	{ 0x8b5ec33, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x980852a9, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2895197, "devm_kmalloc" },
	{ 0x76d79488, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7ce9ff8c, "firmware_request_nowarn" },
	{ 0x9a715c8c, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb2adebee, "mt76_tx_status_skb_get" },
	{ 0x44bf3f0e, "trace_raw_output_prep" },
	{ 0x13e71b5a, "mt76_tx_status_lock" },
	{ 0xf12d7c7b, "__trace_trigger_soft_disabled" },
	{ 0x47a5346b, "mt76_connac_mcu_set_rts_thresh" },
	{ 0xad33acb, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3d06f9b7, "ieee80211_free_hw" },
	{ 0x83c8e9c, "mt76_connac_mcu_set_channel_domain" },
	{ 0x1bd4739d, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdb0a7297, "mt76_release_buffered_frames" },
	{ 0x3279971, "request_firmware" },
	{ 0xa5c598c7, "trace_event_printf" },
	{ 0x217b55af, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf80c4b85, "__tracepoint_mac_txdone" },
	{ 0x6c9d9e87, "mt76_connac_pm_wake" },
	{ 0x727581e8, "mt76_get_rate" },
	{ 0xc0cb47fc, "mt76_wake_tx_queue" },
	{ 0x6369a54a, "ieee80211_tx_status_ext" },
	{ 0xa37d49ab, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xed68c16b, "mt76_connac_mcu_chip_config" },
	{ 0x16f9a15a, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xc0143b11, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x2d41b4d9, "__mt76_tx_complete_skb" },
	{ 0x4263bab3, "pcpu_hot" },
	{ 0x88ee9283, "seq_lseek" },
	{ 0x3f2493b6, "mt76_set_stream_caps" },
	{ 0x995b2dda, "ieee80211_emulate_change_chanctx" },
	{ 0xf4efad8, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe8c484c3, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xc9ca4708, "mt76_connac_mcu_update_arp_filter" },
	{ 0x41f94d94, "mt76_connac_mcu_set_vif_ps" },
	{ 0xfbb27721, "__dynamic_dev_dbg" },
	{ 0x50c72bef, "mt76_mcu_rx_event" },
	{ 0x97316784, "mt76_alloc_phy" },
	{ 0x82a24d36, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91faaea1, "mt76_wcid_init" },
	{ 0xba6577e8, "mt76_tx_status_check" },
	{ 0xdac4f7b2, "wake_up_process" },
	{ 0x85fcf19e, "mt76_connac_free_pending_tx_skbs" },
	{ 0x319c66bc, "skb_queue_purge_reason" },
	{ 0xdf5699f8, "mt76_connac_power_save_sched" },
	{ 0xeaecf56e, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x956bdff3, "cfg80211_reg_check_beaconing" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0xed301311, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0x4b4e3c94, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6fc53d1, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd8ca784c, "mt76_tx" },
	{ 0xcdd4576a, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x912af545, "__alloc_skb" },
	{ 0x95e2a5a, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "A6FDF72437486A80FA758D1");

MODULE_INFO(suserelease, "SLFO-1.2");
