#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0xdda9e798, "");
SYMBOL_CRC(ndlc_close, 0xf20229f1, "");
SYMBOL_CRC(ndlc_send, 0x0a6e043c, "");
SYMBOL_CRC(ndlc_recv, 0x68b35a3f, "");
SYMBOL_CRC(ndlc_probe, 0xe473a39a, "");
SYMBOL_CRC(ndlc_remove, 0x049afa7e, "");
SYMBOL_CRC(st_nci_probe, 0x4509dbf8, "_gpl");
SYMBOL_CRC(st_nci_remove, 0xc8fe99f4, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x20669a5e, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0xb9bacc4b, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x80da3a1d, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0xcb780a1e, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x959b8394, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0xe60d65a7, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0xff46a049, "");
SYMBOL_CRC(st_nci_se_init, 0xa2584c6e, "");
SYMBOL_CRC(st_nci_se_deinit, 0xf4decef4, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x013bbf4a, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167c5967, "print_hex_dump" },
	{ 0x517860a4, "nfc_se_transaction" },
	{ 0xf12e71e4, "_dev_err" },
	{ 0x8dfefc8f, "skb_pull" },
	{ 0xadfefade, "nci_hci_connect_gate" },
	{ 0xcdf4e662, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x860200cb, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x2ec9b82f, "nci_prop_cmd" },
	{ 0x499e8f4a, "nci_core_conn_create" },
	{ 0x5d4c16c1, "nci_nfcc_loopback" },
	{ 0x4bc8a943, "nci_unregister_device" },
	{ 0x9b1f5bd9, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc5134b82, "nci_hci_send_event" },
	{ 0xa1145004, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1023c53c, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5f718aae, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0x1626c25f, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4357b59a, "nci_recv_frame" },
	{ 0x3027e415, "nci_hci_dev_session_init" },
	{ 0xaaef9569, "nci_hci_set_param" },
	{ 0x53b903c0, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x891423cc, "skb_queue_head" },
	{ 0xbd62c411, "nci_free_device" },
	{ 0xae1925fe, "nci_allocate_device" },
	{ 0x1a2970a9, "nci_register_device" },
	{ 0xb2895197, "devm_kmalloc" },
	{ 0xa3445d12, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3290902, "nfc_add_se" },
	{ 0x92055122, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc3fd1c52, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x319c66bc, "skb_queue_purge_reason" },
	{ 0x2a254756, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc2db9bef, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x744ab661, "skb_queue_tail" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "SLFO-1.2");
