#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0x2d37817f, "");
SYMBOL_CRC(st21nfca_hci_remove, 0xbc0aa704, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0x5013ca0d, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0xe2e80dc4, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0x5a390547, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0x4d68f2d2, "");
SYMBOL_CRC(st21nfca_dep_init, 0x491a4313, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0x8ce4d71e, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x99ec6d75, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0xa5608060, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0x209307c7, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0x141810de, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0x70e6103f, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0xba6dc1bf, "");
SYMBOL_CRC(st21nfca_se_init, 0xeaca0163, "");
SYMBOL_CRC(st21nfca_se_deinit, 0x3b092d84, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0x876efd8d, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0xbe2846e4, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d0e6d1c, "nfc_hci_free_device" },
	{ 0x517860a4, "nfc_se_transaction" },
	{ 0xdb287bb8, "nfc_get_local_general_bytes" },
	{ 0x5f73a0b1, "nfc_hci_register_device" },
	{ 0xc00a5c45, "nfc_set_remote_general_bytes" },
	{ 0xf12e71e4, "_dev_err" },
	{ 0x8dfefc8f, "skb_pull" },
	{ 0xcdf4e662, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x860200cb, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0xa3309a03, "nfc_hci_send_cmd" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x454acff6, "nfc_hci_get_clientdata" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5ce410b5, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x30685093, "nfc_hci_allocate_device" },
	{ 0x867e15e0, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1023c53c, "nfc_se_connectivity" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0x1626c25f, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{  0x86020, "nfc_hci_set_param" },
	{ 0x5734d9da, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb94553d2, "nfc_hci_send_event" },
	{ 0x234a87b9, "nfc_hci_disconnect_all_gates" },
	{ 0xdd1d3bd2, "nfc_hci_disconnect_gate" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb4c9fd68, "nfc_hci_set_clientdata" },
	{ 0xb2895197, "devm_kmalloc" },
	{ 0xa3445d12, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x76d79488, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9be94ca2, "nfc_hci_get_param" },
	{ 0x4e439d0d, "nfc_hci_send_cmd_async" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3290902, "nfc_add_se" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3d7b96dd, "nfc_llc_stop" },
	{ 0xf1c75991, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x182b755, "nfc_tm_data_received" },
	{ 0xc3fd1c52, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x6dbbd97a, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0x912af545, "__alloc_skb" },
	{ 0xa9f1703f, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "5EBB7B3E4FC40AA7D0FC977");

MODULE_INFO(suserelease, "SLFO-1.2");
