#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ideapad_laptop_register_notifier, "_gpl", "IDEAPAD_LAPTOP");
KSYMTAB_FUNC(ideapad_laptop_unregister_notifier, "_gpl", "IDEAPAD_LAPTOP");
KSYMTAB_FUNC(ideapad_laptop_call_notifier, "_gpl", "IDEAPAD_LAPTOP");

SYMBOL_CRC(ideapad_laptop_register_notifier, 0xcae1d210, "_gpl");
SYMBOL_CRC(ideapad_laptop_unregister_notifier, 0x4c65bf10, "_gpl");
SYMBOL_CRC(ideapad_laptop_call_notifier, 0x98c23494, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xfcd01236, "rfkill_set_hw_state_reason" },
	{ 0x4fdee897, "i8042_command" },
	{ 0xef330628, "sysfs_notify" },
	{ 0xe1083442, "platform_profile_cycle" },
	{ 0x1a022d40, "backlight_force_update" },
	{ 0x4990b6fe, "_dev_info" },
	{ 0xaf54fb66, "is_acpi_device_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x13e1ff37, "device_add_groups" },
	{ 0x6cc49371, "debugfs_create_dir" },
	{ 0xf43e643a, "debugfs_create_file_full" },
	{ 0xd702669b, "input_allocate_device" },
	{ 0xefe09638, "sparse_keymap_setup" },
	{ 0x76b49bef, "input_register_device" },
	{ 0xeb75d53d, "led_classdev_register_ext" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x4b70998b, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x349f65d, "backlight_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf12e71e4, "_dev_err" },
	{ 0x6aa2528a, "input_free_device" },
	{ 0x88ee9283, "seq_lseek" },
	{ 0x223dd685, "seq_read" },
	{ 0xe7ce4e, "single_release" },
	{ 0xfea1d83, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2895197, "devm_kmalloc" },
	{ 0xafd85a4f, "single_open" },
	{ 0x4f2785c4, "seq_printf" },
	{ 0xecbc42b2, "seq_write" },
	{ 0x9de7ed29, "seq_putc" },
	{ 0x7d4048d9, "__wmi_driver_register" },
	{ 0x8733bd2d, "__platform_driver_register" },
	{ 0x8e48f324, "wmi_driver_unregister" },
	{ 0x9e6b9be4, "platform_driver_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x60c39baa, "backlight_device_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x329e8aee, "led_classdev_unregister" },
	{ 0xa747217, "input_unregister_device" },
	{ 0x7eb7f3bb, "debugfs_remove" },
	{ 0xa3f3298, "device_remove_groups" },
	{ 0xd1affda0, "led_classdev_notify_brightness_hw_changed" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xc3ccb520, "sparse_keymap_report_event" },
	{ 0xfbb27721, "__dynamic_dev_dbg" },
	{ 0xf6fddc76, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "platform_profile,rfkill,sparse-keymap,video,wmi");

MODULE_ALIAS("acpi*:VPC2004:*");
MODULE_ALIAS("wmi:26CAB2E5-5CF1-46AE-AAC3-4A12B6BA50E6");
MODULE_ALIAS("wmi:56322276-8493-4CE8-A783-98C991274F5E");
MODULE_ALIAS("wmi:8FC0DE0C-B4E4-43FD-B0F3-8871711C1294");

MODULE_INFO(srcversion, "4BB10CE9BE3E40C0D2CAF35");

MODULE_INFO(suserelease, "SLFO-1.2");
