#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x0e758a24, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x9ada6115, "");
SYMBOL_CRC(ip_tunnel_rcv, 0xbd7e3b02, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xff1bbee4, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x52869a23, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xfe48b4b0, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x5c8dc042, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x5354ba6b, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xf110c4a4, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x0ca73ff3, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xd31702a7, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x95e0e3c8, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x88dfd81c, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x1f8a9449, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x86d1fc58, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x716947c5, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xd592f4f4, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x0dc66500, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x4e89548d, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x8880b025, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x03551dea, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xc9a29d73, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf8edfde0, "iptun_encaps" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3163207c, "alloc_netdev_mqs" },
	{ 0x13f0297d, "register_netdevice" },
	{ 0x16374542, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x40a55636, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x9b094345, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x906235af, "ip6_mtu" },
	{ 0x18287d01, "icmpv6_ndo_send" },
	{ 0x37b90059, "icmp_ndo_send" },
	{ 0x4c498a6b, "ipv4_mtu" },
	{ 0xdacb4439, "ip_route_output_flow" },
	{ 0x9127750d, "dst_release" },
	{ 0x2f5f9ba5, "__dev_get_by_index" },
	{ 0x9aa6ec45, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x7ac4c690, "dev_addr_mod" },
	{ 0x1f79bcc8, "netdev_state_change" },
	{ 0x9dfe2819, "ns_capable" },
	{ 0xadf3a574, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa9610c8c, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xdd9289ca, "dst_cache_get_ip4" },
	{ 0x55a5dabb, "dst_cache_set_ip4" },
	{ 0xda468aa3, "__skb_get_hash_net" },
	{ 0xcdf4e662, "sk_skb_reason_drop" },
	{ 0x468cafdf, "iptunnel_xmit" },
	{ 0x125a55f9, "skb_copy_bits" },
	{ 0x4ca3c8f2, "pskb_expand_head" },
	{ 0xb008b552, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3cf2410, "__pskb_pull_tail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf26a8816, "skb_scrub_packet" },
	{ 0xede7e378, "gro_cells_receive" },
	{ 0xfc7aff40, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CFB6EEDCD2FB3BFD514F1CE");

MODULE_INFO(suserelease, "SLFO-1.2");
