#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xdd545c02, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x43d1e8de, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0x75f83f8f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xbdca05b9, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0x0a01cb10, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0xc75992dd, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x6464efc0, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xa16c8567, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0x6e12ec8c, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xac2ee265, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xf7251c21, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x21fd6732, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xfca68269, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xd623d953, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x249a61e3, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xe4b32ed0, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xccb1edbb, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x46ac1229, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x2053e3e6, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x7fd43500, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8fb5f0f6, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1efd1070, "trace_event_buffer_reserve" },
	{ 0xeaecf56e, "trace_event_buffer_commit" },
	{ 0xf12d7c7b, "__trace_trigger_soft_disabled" },
	{ 0x44bf3f0e, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xa5c598c7, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xba51afc0, "bpf_trace_run1" },
	{ 0xf4efad8, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfc503ac, "sk_error_report" },
	{ 0xd3979d7b, "ip_icmp_error" },
	{ 0xfa1b7345, "ipv6_icmp_error" },
	{ 0x92997ed8, "_printk" },
	{ 0x299cb40c, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x545f21d7, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x642cbea9, "sock_create_kern" },
	{ 0x346eefdc, "kernel_bind" },
	{ 0x5279afb4, "kernel_connect" },
	{ 0xc3e68395, "udp_sock_create6" },
	{ 0xb3874144, "kernel_sock_shutdown" },
	{ 0x54b27d15, "sock_release" },
	{ 0xb542ba83, "udp_sock_create4" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xadfe9f3d, "kmalloc_caches" },
	{ 0x9a8e37cc, "__kmalloc_cache_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x4263bab3, "pcpu_hot" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8a0d0232, "sk_free" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xcdf4e662, "sk_skb_reason_drop" },
	{ 0x92055122, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x48ec2182, "udp_set_csum" },
	{ 0x6bb85836, "ip_queue_xmit" },
	{ 0x4ca3c8f2, "pskb_expand_head" },
	{ 0x1de54fe0, "udp6_set_csum" },
	{ 0x8e31d6c7, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x9127750d, "dst_release" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x1e403ef4, "sockfd_lookup" },
	{ 0x13e7f01b, "lock_sock_nested" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xeb3db850, "release_sock" },
	{ 0x4b4b0900, "fput" },
	{ 0xf56bd6e4, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x744ab661, "skb_queue_tail" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf2410, "__pskb_pull_tail" },
	{ 0xb1577593, "trace_event_reg" },
	{ 0xa37d49ab, "trace_event_raw_init" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "DED7F0743002865D2427A3C");

MODULE_INFO(suserelease, "SLFO-1.2");
