#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(codec_info_list, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_info_list_count, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_part, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_acpi, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_dai, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_startup, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_prepare, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_trigger, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_params, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_free, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_shutdown, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_name, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_find_codec_dai_used, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_dailink_exit_loop, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_card_late_probe, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_simple_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_count_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_dailink, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_parse_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_dmic_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt700_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt712_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt722_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt5682_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_DATA(soc_sdw_rt1308_i2s_ops, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_count_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_add_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l42_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_hs_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_init, "", "SND_SOC_SDW_UTILS");

SYMBOL_CRC(codec_info_list, 0x19f3a648, "");
SYMBOL_CRC(asoc_sdw_get_codec_info_list_count, 0xcb490bf7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_part, 0x49da1d21, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_acpi, 0x4aa6f2e8, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_dai, 0xb6db721d, "");
SYMBOL_CRC(asoc_sdw_rtd_init, 0xf195df04, "");
SYMBOL_CRC(asoc_sdw_startup, 0xb907a310, "");
SYMBOL_CRC(asoc_sdw_prepare, 0x0cb85059, "");
SYMBOL_CRC(asoc_sdw_trigger, 0xeb70bd0a, "");
SYMBOL_CRC(asoc_sdw_hw_params, 0xed32b1c1, "");
SYMBOL_CRC(asoc_sdw_hw_free, 0xb0f0a0ba, "");
SYMBOL_CRC(asoc_sdw_shutdown, 0xc3ad43d8, "");
SYMBOL_CRC(asoc_sdw_get_codec_name, 0x74767011, "");
SYMBOL_CRC(asoc_sdw_mc_find_codec_dai_used, 0x69d8fb52, "");
SYMBOL_CRC(asoc_sdw_mc_dailink_exit_loop, 0xdb9d9592, "");
SYMBOL_CRC(asoc_sdw_card_late_probe, 0xf0ebed16, "");
SYMBOL_CRC(asoc_sdw_init_dai_link, 0xe08869f2, "");
SYMBOL_CRC(asoc_sdw_init_simple_dai_link, 0xea3a9284, "");
SYMBOL_CRC(asoc_sdw_count_sdw_endpoints, 0x436c24b6, "");
SYMBOL_CRC(asoc_sdw_find_dailink, 0x2bed0fe8, "");
SYMBOL_CRC(asoc_sdw_parse_sdw_endpoints, 0x2dcc3a89, "");
SYMBOL_CRC(asoc_sdw_dmic_init, 0x6575550c, "");
SYMBOL_CRC(asoc_sdw_rt_dmic_rtd_init, 0x352c0724, "");
SYMBOL_CRC(asoc_sdw_rt700_rtd_init, 0xbbb61da5, "");
SYMBOL_CRC(asoc_sdw_rt711_rtd_init, 0xe55c0923, "");
SYMBOL_CRC(asoc_sdw_rt711_exit, 0x338b0352, "");
SYMBOL_CRC(asoc_sdw_rt711_init, 0x20e88ac4, "");
SYMBOL_CRC(asoc_sdw_rt712_spk_rtd_init, 0x84b99d23, "");
SYMBOL_CRC(asoc_sdw_rt722_spk_rtd_init, 0xd244f433, "");
SYMBOL_CRC(asoc_sdw_rt5682_rtd_init, 0xffee6370, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_rtd_init, 0xb8d3ce70, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_exit, 0xc4504a60, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_init, 0xb5d2a5c8, "");
SYMBOL_CRC(asoc_sdw_rt_amp_spk_rtd_init, 0x43c66e70, "");
SYMBOL_CRC(soc_sdw_rt1308_i2s_ops, 0xf1a68afd, "");
SYMBOL_CRC(asoc_sdw_rt_amp_exit, 0x48d46eed, "");
SYMBOL_CRC(asoc_sdw_rt_amp_init, 0x581273ba, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_count_sidecar, 0x76a7d5f6, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_add_sidecar, 0xaa71a3d9, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_spk_init, 0xd351469c, "");
SYMBOL_CRC(asoc_sdw_cs42l42_rtd_init, 0xa4c44ae2, "");
SYMBOL_CRC(asoc_sdw_cs42l43_hs_rtd_init, 0xf7ba82e9, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_rtd_init, 0xd323c207, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_init, 0x882eb355, "");
SYMBOL_CRC(asoc_sdw_cs42l43_dmic_rtd_init, 0xe0ca56d9, "");
SYMBOL_CRC(asoc_sdw_cs_spk_rtd_init, 0x1bece7ac, "");
SYMBOL_CRC(asoc_sdw_cs_amp_init, 0xd32ab764, "");
SYMBOL_CRC(asoc_sdw_maxim_spk_rtd_init, 0xb0dc8e78, "");
SYMBOL_CRC(asoc_sdw_maxim_init, 0x856a15d0, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0xbef9fd74, "snd_soc_dai_set_tdm_slot" },
	{ 0x34803bad, "snd_soc_dapm_enable_pin" },
	{ 0x69acdf38, "memcpy" },
	{ 0x60e02092, "snd_soc_dapm_disable_pin" },
	{ 0xe0dfbee5, "snd_soc_component_set_sysclk" },
	{ 0x9e191480, "snd_soc_dai_set_sysclk" },
	{ 0xfbb27721, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x923fa9ce, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x65cd5cf8, "snd_soc_component_set_jack" },
	{ 0x81fd09f9, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x61208a56, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x274821b8, "fwnode_create_software_node" },
	{ 0x1b86b89a, "snd_soc_dapm_get_pin_switch" },
	{ 0xdfde2b3a, "sdw_disable_stream" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xf12e71e4, "_dev_err" },
	{ 0xc3d9d18e, "bus_find_device" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6f95b16b, "sdw_shutdown_stream" },
	{ 0x3b0a8582, "sdw_startup_stream" },
	{ 0x401c7ea1, "sdw_deprepare_stream" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf6fddc76, "_dev_warn" },
	{ 0x44324909, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc1e48f94, "device_remove_software_node" },
	{ 0xad5daecd, "snd_jack_set_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb2c9659f, "devm_kasprintf" },
	{ 0xb4ec9f7b, "snd_soc_card_jack_new_pins" },
	{ 0x5ddb4ccf, "snd_soc_dai_set_pll" },
	{ 0xbe6f02ec, "snd_soc_dapm_new_controls" },
	{ 0x250bd32d, "sdw_enable_stream" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2ae4b194, "snd_soc_dapm_put_pin_switch" },
	{ 0x4644fe27, "device_match_name" },
	{ 0x4500b464, "snd_soc_dapm_info_pin_switch" },
	{ 0x2949191, "snd_soc_add_card_controls" },
	{ 0x3a35d41c, "device_add_software_node" },
	{ 0x8a156323, "sdw_prepare_stream" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xd8906773, "sdw_bus_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb2895197, "devm_kmalloc" },
	{ 0xb7d606e2, "to_software_node" },
	{ 0x81f0cc69, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd");


MODULE_INFO(srcversion, "2869BB1D76DEE6B9F81022C");

MODULE_INFO(suserelease, "SLFO-1.2");
